org.apache.solr.client.solrj.io.eval

## Class RecursiveObjectEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.RecursiveEvaluator
  - - org.apache.solr.client.solrj.io.eval.RecursiveObjectEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, ValueWorker, Expressible

Direct Known Subclasses:
  AppendEvaluator, ArrayEvaluator, AscEvaluator, BicubicSplineEvaluator, CoalesceEvaluator, ColumnAtEvaluator, ColumnCountEvaluator, ConcatEvaluator, ConvexHullEvaluator, CorrelationEvaluator, CorrelationSignificanceEvaluator, CovarianceEvaluator, CumulativeProbabilityEvaluator, DateEvaluator, DbscanEvaluator, DensityEvaluator, DerivativeEvaluator, DistanceEvaluator, DoubleEvaluator, EBEAddEvaluator, EBESubtractEvaluator, EnclosingDiskEvaluator, FeatureSelectEvaluator, FuzzyKmeansEvaluator, GetAmplitudeEvaluator, GetAngularFrequencyEvaluator, GetAreaEvaluator, GetAttributeEvaluator, GetAttributesEvaluator, GetBaryCenterEvaluator, GetBoundarySizeEvaluator, GetCacheEvaluator, GetCenterEvaluator, GetCentroidsEvaluator, GetClusterEvaluator, GetColumnLabelsEvaluator, GetMembershipMatrixEvaluator, GetPhaseEvaluator, GetRadiusEvaluator, GetRowLabelsEvaluator, GetSupportPointsEvaluator, GetValueEvaluator, GetVerticesEvaluator, GrandSumEvaluator, IFFTEvaluator, IfThenElseEvaluator, IndexOfEvaluator, IntegrateEvaluator, KmeansEvaluator, KnnEvaluator, KnnRegressionEvaluator, KolmogorovSmirnovEvaluator, L1NormEvaluator, LatLonVectorsEvaluator, LeftShiftEvaluator, LengthEvaluator, LInfNormEvaluator, ListCacheEvaluator, LongEvaluator, LowerEvaluator, MarkovChainEvaluator, MatrixMultiplyEvaluator, MeanEvaluator, MinMaxScaleEvaluator, ModeEvaluator, MultiKmeansEvaluator, MultiVariateNormalDistributionEvaluator, NormalizeEvaluator, NormalizeSumEvaluator, NormEvaluator, OLSRegressionEvaluator, OutliersEvaluator, PivotEvaluator, PrecisionEvaluator, PredictEvaluator, ProbabilityEvaluator, ProjectToBorderEvaluator, PutCacheEvaluator, RemoveCacheEvaluator, ReverseEvaluator, RightShiftEvaluator, RowAtEvaluator, RowCountEvaluator, SampleEvaluator, ScalarAddEvaluator, SetColumnLabelsEvaluator, SetRowLabelsEvaluator, SetValueEvaluator, SplitEvaluator, StandardDeviationEvaluator, SumColumnsEvaluator, SumRowsEvaluator, SumSqEvaluator, TermVectorsEvaluator, TimeDifferencingEvaluator, TopFeaturesEvaluator, TransposeEvaluator, TrimEvaluator, TruncEvaluator, UnitEvaluator, UpperEvaluator, ValueAtEvaluator, VarianceEvaluator

    public abstract class RecursiveObjectEvaluator
    extends RecursiveEvaluator

See Also:
  Serialized Form

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`constructingFactory, containedEvaluators, nodeId, streamContext`

### Constructor Summary

Constructors
Constructor and Description
`RecursiveObjectEvaluator(StreamExpression expression, StreamFactory factory)`
`RecursiveObjectEvaluator(StreamExpression expression, StreamFactory factory, List<String> ignoredNamedParameters)`

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`evaluate, getStreamContext, normalizeInputType, normalizeOutputType, recursivelyEvaluate, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.ValueWorker

`doWork`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### RecursiveObjectEvaluator

    public RecursiveObjectEvaluator(StreamExpression expression,
                                    StreamFactory factory)
                             throws IOException

Throws:
  `IOException`

#### RecursiveObjectEvaluator

    public RecursiveObjectEvaluator(StreamExpression expression,
                                    StreamFactory factory,
                                    List<String> ignoredNamedParameters)
                             throws IOException

Throws:
  `IOException`